import { request, cityGisRequest } from '../request';

export function getDataByArea() {
  return request({
    url: '/kanban/getDataByArea',
    method: 'get'
  });
}

export function getHistogramData() {
  return request({
    url: '/kanban/getHistogramData',
    method: 'get'
  });
}

export function addCdcDraw(data) {
  return request({
    url: '/code/cdc-draw-lines/addCdcDraw',
    method: 'post',
    data: data
  });
}

//病例洒点
export function getTrajectorPointOnPeople(params) {
  return request({
    url: '/guiji/getTrajectorPointOnPeople',
    method: 'get',
    params: params
  });
}

//病例轨迹
export function getTrajectorPointOnPeopleById(params) {
  return request({
    url: '/guiji/getTrajectoryPointOnPeopleById',
    method: 'get',
    params: params
  });
}

export function getGeocode(params) {
  return cityGisRequest({
    url: '/citygis-geocode/geocode',
    method: 'get',
    params: params
  });
}

//获取会商车洒点
export function getTrajectorPointOnCar() {
  return request({
    url: '/guiji/getTrajectorPointOnCar',
    method: 'get'
  });
}

//获取会商车轨迹
export function getTrajectorPointOnCarById(params) {
  return request({
    url: '/guiji/getTrajectorPointOnCarById',
    method: 'get',
    params: params
  });
}

//删除轨迹点

export function delTrajectorPointOnPeopleByOId(params) {
  return request({
    url: '/guiji/delTrajectorPointOnPeopleByOId',
    method: 'get',
    params: params
  });
}

//添加轨迹点位
export function addTrajectorPointOnPeople(data) {
  return request({
    url: '/guiji/addTrajectorPointOnPeople',
    method: 'post',
    data: data
  });
}

//修改轨迹点位
export function updTrajectorPointOnPeopleByOId(params) {
  return request({
    url: '/guiji/updTrajectorPointOnPeopleByOId',
    method: 'get',
    params: params
  });
}
